
function outArg = nargtest(inArgA, inArg2) 
% nargtest - Normal (non-variable) arguments list example (v. 1.0).
%
% This function accepts exactly 2 inputs, returns exactly 1 output. It 
% assumes the first and output argument is a string and the second is
% numeric. It returns a string.
%
% Created by Dr. C. S. Tritt
% Last revised 11/30/11

fprintf('In nargtest...\n');

% Display number of input and output arguments.
fprintf('Number of input arguments = %d\n', nargin);
fprintf('Number of output arguments = %d\n', nargout);

% Display individual (regular) input argument values.
if nargin >= 1
   fprintf('inArgA is %s\n', inArgA)
end
if nargin == 2
   fprintf('inArg2 is %d\n', inArg2)
end

% Set returned argument (a string) if there was a return argument.
if nargout >= 1
   outArg = 'abc123';
end
fprintf('Returning from vargtest...\n\n');